package domain

import (
	"topsdk/util"
)

type TmallExchangeRefuseExchange struct {
	/*
	   当前换货状态     */
	Status *string `json:"status,omitempty" `

	/*
	   修改时间     */
	Modified *util.LocalTime `json:"modified,omitempty" `

	/*
	   换货单号ID     */
	DisputeId *string `json:"dispute_id,omitempty" `

	/*
	   正向交易单号ID     */
	BizOrderId *string `json:"biz_order_id,omitempty" `
}

func (s *TmallExchangeRefuseExchange) SetStatus(v string) *TmallExchangeRefuseExchange {
	s.Status = &v
	return s
}
func (s *TmallExchangeRefuseExchange) SetModified(v util.LocalTime) *TmallExchangeRefuseExchange {
	s.Modified = &v
	return s
}
func (s *TmallExchangeRefuseExchange) SetDisputeId(v string) *TmallExchangeRefuseExchange {
	s.DisputeId = &v
	return s
}
func (s *TmallExchangeRefuseExchange) SetBizOrderId(v string) *TmallExchangeRefuseExchange {
	s.BizOrderId = &v
	return s
}
